Bug 127402 - Broken keyboard layouts
Summary: Broken keyboard layouts
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-07 19:02 UTC by Luc Lalonde
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-13 09:11:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Luc Lalonde 2004-07-07 19:02:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040626 Firefox/0.9.1

Description of problem:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=92118

Broken keyboard layouts in KDE.  See above bug.

This bug popped up after an update to the latest version of Xorg-x11.



Version-Release number of selected component (if applicable):
xorg-x11 6.7.0-5

How reproducible:
Always

Steps to Reproduce:
Missing keyboard layouts in KDE control-center
    

Additional info:

This fixes the problem (as suggested in 92118):

cd /usr/X11R6/lib/X11/xkb/rules
ln -s xorg-it.lst xfree86-it.lst
ln -s xorg.lst xfree86.lst
ln -s xorg.xml xfree86.xml

Comment 1 Mike A. Harris 2004-07-07 20:01:36 UTC
Not an X bug, it's a KDE bug.  The proper solution is for KDE
to be fixed to use the proper xkbrules file, which is "xorg".

Reassigning to KDE.

Comment 2 Luc Lalonde 2004-07-07 20:30:52 UTC
I quoted the wrong previous case.

Here it is:

http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=121950

Apparently it is fixed in kdebase-3.2.2-6.

My version: kdebase-3.2.2-4

Do you know if the fix is included in the devlopment version:

kdebase-3.2.3-1.i386.rpm

Thanks

Comment 3 Ngo Than 2004-07-13 09:11:54 UTC
yes the new version in rawhide includes this fix.


Note You need to log in before you can comment on or make changes to this bug.